# renameCallList

Rename a call list. Needs you to have built the list or be an admin.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "renameCallList", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `callListId`: `ID!` (required)
- `name`: `String!` (required)

## Response (data, an example)

```json
{
  "callListsMutation": {
    "updateCallList": {
      "id": "<ID>",
      "name": "…",
      "status": "…",
      "visibilityScope": "…",
      "maxNumbersPerContact": 0,
      "includeRelatives": true,
      "overrideDnc": true,
      "overrideLitigator": true,
      "cursorPosition": 0,
      "startedAt": "2026-01-01T00:00:00.000Z",
      "endedAt": "2026-01-01T00:00:00.000Z",
      "dialPath": "…",
      "createdByUser": {
        "id": "<ID>",
        "firstName": "…",
        "lastName": "…"
      },
      "lockedByUser": {
        "id": "<ID>",
        "firstName": "…",
        "lastName": "…"
      },
      "reachedTag": {
        "id": "<ID>",
        "name": "…"
      },
      "counts": {
        "total": 0,
        "pending": 0,
        "completed": 0,
        "skipped": 0,
        "dials": 0,
        "byDisposition": [
          {
            "disposition": "…",
            "count": 0
          }
        ]
      }
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "renameCallList",
    "variables": {
      "callListId": "<callListId>",
      "name": "<String>"
    }
  }'
```
